Bug 1298249 - Satellite 6.0.8 installation fails on RHEL 72
Satellite 6.0.8 installation fails on RHEL 72
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.8
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 10:23 EST by Jitendra Yejare
Modified: 2016-08-01 14:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 14:11:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitendra Yejare 2016-01-13 10:23:17 EST
Description of problem:
Satellite 6.0.8 installation is failing on RHEL 72 while running katello-installer command to install satellite.

Version-Release number of selected component (if applicable):
Satellite 6.0.8

How reproducible:


Steps to Reproduce:
1. Register and Subscribe a system with cdn.
2. Enable satellite 6.0 and other mandatory repos to setup satellite.
3. Install Katello.
4. Run katello-installer command to install satellite.

Actual results:
The installation fails with following Errors:

Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/katello-installer/katello-installer.log
[ INFO 2016-01-13 03:23:59 verbose] All hooks in group post finished
[ERROR 2016-01-13 03:23:59 verbose] Repeating errors encountered during run:
[ERROR 2016-01-13 03:23:59 verbose]  /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 4 instead of one of [0]
[ERROR 2016-01-13 03:23:59 verbose]  /Stage[main]/Candlepin::Service/Exec[cpinit]/returns: change from notrun to 0 failed: /usr/bin/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 4 instead of one of [0]
[ERROR 2016-01-13 03:23:59 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]
[ERROR 2016-01-13 03:23:59 verbose]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

Expected results:

Additional info:
Comment 2 Bryan Kearney 2016-07-26 15:06:58 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Stephen Benjamin 2016-08-01 14:11:03 EDT
The current release of Satellite, 6.2, installs on RHEL 7.2.

Note You need to log in before you can comment on or make changes to this bug.